MWAWListManager Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
MWAWListManager Class Reference

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list More...

`#include <MWAWList.hxx>`

## Public Member Functions
| MWAWListManager (MWAWFontManagerPtr fontManager)
| the constructor More...
| ~MWAWListManager ()
| the destructor More...
bool | needToSend (int index, std::vector< int > &idMarkerList) const
| check if a list need to be send/resend to the interface More...
shared_ptr< MWAWList > | getList (int index) const
| returns a list with given index ( if found ) More...
shared_ptr< MWAWList > | getNewList (shared_ptr< MWAWList > actList, int levl, MWAWListLevel const &level)
| returns a new list corresponding to a list where we have a new level More...

## Protected Attributes
MWAWFontManagerPtr | m_fontManager
| the font manager More...
std::vector< MWAWList > | m_listList
| the list of created list More...
std::vector< int > | m_sendIdMarkerList
| the list of send list to interface More...

## Detailed Description

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list

## Constructor & Destructor Documentation

## § MWAWListManager()

MWAWListManager::MWAWListManager | ( | MWAWFontManagerPtr | fontManager | ) |
| explicit

the constructor

## § ~MWAWListManager()

MWAWListManager::~MWAWListManager | ( |  | ) |

the destructor

## Member Function Documentation

## § getList()

shared_ptr< MWAWList > MWAWListManager::getList | ( | int | index | ) | const

returns a list with given index ( if found )

Referenced by MoreTextInternal::Paragraph::updateToFinalState().

## § getNewList()

shared_ptr< MWAWList > MWAWListManager::getNewList | ( | shared_ptr< MWAWList > | actList,
|  | int | levl,
|  | MWAWListLevel const & | level
| ) |  |

returns a new list corresponding to a list where we have a new level

Referenced by MindWrtParserInternal::ZoneInfo::updateListId(), and MoreTextInternal::Paragraph::updateToFinalState().

## § needToSend()

bool MWAWListManager::needToSend | ( | int | index,
|  | std::vector< int > & | idMarkerList
| ) |  | const

check if a list need to be send/resend to the interface

## Member Data Documentation

## § m_fontManager

MWAWFontManagerPtr MWAWListManager::m_fontManager
| protected

the font manager

## § m_listList

std::vector<MWAWList> MWAWListManager::m_listList
| protected

the list of created list

Referenced by getList(), getNewList(), and needToSend().

## § m_sendIdMarkerList

std::vector<int> MWAWListManager::m_sendIdMarkerList
| mutableprotected

the list of send list to interface

The documentation for this class was generated from the following files:

- MWAWList.hxx
- MWAWList.cxx